Bug 468486 - internal system error: Interrupted system call
internal system error: Interrupted system call
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 23:46 EDT by Charles R. Anderson
Modified: 2008-10-27 09:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 09:02:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-10-24 23:46:22 EDT
Description of problem:

PackageKit crashed while browsing through the list of packages from a search result.  I'm testing with F10 Snap3 LiveCD + updated yum and PackageKit.

Version-Release number of selected component (if applicable):
PackageKit-0.3.8-3.fc10.x86_64
PackageKit-glib-0.3.8-3.fc10.x86_64
PackageKit-gstreamer-plugin-0.3.8-3.fc10.x86_64
PackageKit-udev-helper-0.3.8-3.fc10.x86_64
PackageKit-yum-0.3.8-3.fc10.x86_64
PackageKit-yum-plugin-0.3.8-3.fc10.x86_64
yum-3.2.19-6.fc10.noarch
yum-metadata-parser-1.1.2-10.fc10.x86_64
yum-utils-1.1.17-1.fc10.noarch


How reproducible:
didn't try

Steps to Reproduce:
1. type a keyword, then click Find
2. click on a package in the search results
3. up/down arrow quickly through the list
  
Actual results:

An Internal system error occurred

A problem that we were not expecting has occurred.
Please report this bug at https://bugs.freedesktop.org/ with the error description.

More details:

Error Type: <type 'exceptions.IOError'>
Error Value: [Errno 4] Interrupted system call
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2150, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2147, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 601, in dispatcher
    line = sys.stdin.readline().strip('\n')
Comment 1 Richard Hughes 2008-10-26 06:29:00 EDT
I've fixed this upstream:

commit 04687ef8ac892ee73f0f65a9a1a86602b214c8f9
Author: Richard Hughes <richard@hughsie.com>
Date:   Sun Oct 26 10:27:50 2008 +0000

    bugfix: catch exceptions from sys.stdin.readline to fix rh#468486

Note You need to log in before you can comment on or make changes to this bug.